RMNodeLabel (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.nodelabels, class: RMNodeLabel

Package org.apache.hadoop.yarn.nodelabels

# Class RMNodeLabel

java.lang.Object
org.apache.hadoop.yarn.nodelabels.AbstractLabel
org.apache.hadoop.yarn.nodelabels.RMNodeLabel

All Implemented Interfaces:
  `Comparable<RMNodeLabel>`

public class RMNodeLabel extends AbstractLabel implements Comparable<RMNodeLabel>
Partition representation in RM.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RMNodeLabel(String labelName)`
  `protected`
  `RMNodeLabel(String labelName, org.apache.hadoop.yarn.api.records.Resource res, int activeNMs, boolean exclusive)`
  ``
  `RMNodeLabel(org.apache.hadoop.yarn.api.records.NodeLabel nodeLabel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNodeId(org.apache.hadoop.yarn.api.records.NodeId node)`
  `int`
  `compareTo(RMNodeLabel o)`
  `boolean`
  `equals(Object obj)`
  `Set<org.apache.hadoop.yarn.api.records.NodeId>`
  `getAssociatedNodeIds()`
  `RMNodeLabel`
  `getCopy()`
  `boolean`
  `getIsExclusive()`
  `org.apache.hadoop.yarn.api.records.NodeLabel`
  `getNodeLabel()`
  `int`
  `hashCode()`
  `void`
  `removeNodeId(org.apache.hadoop.yarn.api.records.NodeId node)`
  `void`
  `setIsExclusive(boolean exclusive)`

  ### Methods inherited from class org.apache.hadoop.yarn.nodelabels.AbstractLabel

  `addNode, getLabelName, getNumActiveNMs, getResource, removeNode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RMNodeLabel

    public RMNodeLabel(org.apache.hadoop.yarn.api.records.NodeLabel nodeLabel)

  - ### RMNodeLabel

    public RMNodeLabel(String labelName)

  - ### RMNodeLabel

    protected RMNodeLabel(String labelName, org.apache.hadoop.yarn.api.records.Resource res, int activeNMs, boolean exclusive)

- ## Method Details

  - ### setIsExclusive

    public void setIsExclusive(boolean exclusive)

  - ### getIsExclusive

    public boolean getIsExclusive()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getCopy

    public RMNodeLabel getCopy()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(RMNodeLabel o)
    Specified by:
      `compareTo` in interface `Comparable<RMNodeLabel>`

  - ### getNodeLabel

    public org.apache.hadoop.yarn.api.records.NodeLabel getNodeLabel()

  - ### addNodeId

    public void addNodeId(org.apache.hadoop.yarn.api.records.NodeId node)

  - ### removeNodeId

    public void removeNodeId(org.apache.hadoop.yarn.api.records.NodeId node)

  - ### getAssociatedNodeIds

    public Set<org.apache.hadoop.yarn.api.records.NodeId> getAssociatedNodeIds()